Loading...
Searching...
No Matches
fec_mtrx.h File Reference
`#include <gnuradio/fec/api.h>`
`#include <cstdlib>`
`#include <memory>`
`#include <string>`
Include dependency graph for fec_mtrx.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | gr::fec::code::block_data
struct | gr::fec::code::matrix
class | gr::fec::code::fec_mtrx
| Base class for FEC matrix objects. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::fec
namespace | gr::fec::code

## Functions

FEC_API void | gr::fec::code::matrix_free (matrix *x)
FEC_API matrix_sptr | gr::fec::code::read_matrix_from_file (const std::string filename)
| Read in an alist file and produce the matrix object.
FEC_API void | gr::fec::code::write_matrix_to_file (const std::string filename, matrix_sptr M)
FEC_API matrix_sptr | gr::fec::code::generate_G_transpose (matrix_sptr H_obj)
| Takes a parity check matrix (H) and returns the transpose of the generator matrix (G).
FEC_API matrix_sptr | gr::fec::code::generate_G (matrix_sptr H_obj)
| Takes a parity check matrix (H) and returns the generator matrix (G).
FEC_API matrix_sptr | gr::fec::code::generate_H (matrix_sptr G_obj)
| Takes a generator matrix (G) and returns the parity check matrix (H).
FEC_API void | gr::fec::code::print_matrix (const matrix_sptr M, bool numpy=false)
| Takes a matrix and prints it to screen.